Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Interface DependencyDefinitionParser

    public interface DependencyDefinitionParser

Defines methods for parsing dependency definitions defined in the form of a Groovy DSL.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`void` | `parseDependencies(groovy.lang.Closure definition)` Parses DSL code into a dependency definition.

Method Detail

### parseDependencies

    @java.lang.SuppressWarnings("rawtypes")
    public void parseDependencies(groovy.lang.Closure definition)

  Parses DSL code into a dependency definition.
  Parameters:
    `definition` - The DSL code

Groovy Documentation